package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="运输订单物资中间表")
public class OmstruckOrderMaterial implements IBasePO<BigDecimal> {
    /**
     * 主键ID(ORDER_MATERIAL_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="主键ID",required=true)
    private BigDecimal orderMaterialId;

    /**
     * 订单id(ORDER_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="订单id",required=false)
    private BigDecimal orderId;

    /**
     * 钢材物资ID(MATERIAL_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="钢材物资ID",required=false)
    private BigDecimal materialId;

    /**
     * 物资件数(ORDER_MATERIAL_NUMBER,DECIMAL,0)
     */
    @ApiModelProperty(value="物资件数",required=false)
    private BigDecimal orderMaterialNumber;

    /**
     * 物资重量(ORDER_MATERIAL_WEIGHT,DECIMAL,0)
     */
    @ApiModelProperty(value="物资重量",required=false)
    private BigDecimal orderMaterialWeight;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,200)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    /**
     * 物资指向：0：物资主表（原料用）；1：物资子表（钢材用）(MATERIAL_DIRECTION,DECIMAL,0)
     */
    @ApiModelProperty(value="物资指向：0：物资主表（原料用）；1：物资子表（钢材用）",required=false)
    private BigDecimal materialDirection;

    /**
     * 物资装卸货优先级(MATERIAL_PRIORITY,DECIMAL,38)
     */
    @ApiModelProperty(value="物资装卸货优先级",required=false)
    private BigDecimal materialPriority;

    /**
     * 物资委托发送状态:1:已发送(MATERIAL_MEASSION,DECIMAL,0)
     */
    @ApiModelProperty(value="物资委托发送状态:1:已发送",required=false)
    private BigDecimal materialMeassion;

    /**
     * 炉号(MATERIAL_LUNO,VARCHAR,50)
     */
    @ApiModelProperty(value="炉号",required=false)
    private String materialLuno;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.orderMaterialId;
    }

    @Override
    public void setId(BigDecimal orderMaterialId) {
        this.orderMaterialId = orderMaterialId;
    }

    public BigDecimal getOrderMaterialId() {
        return orderMaterialId;
    }

    public void setOrderMaterialId(BigDecimal orderMaterialId) {
        this.orderMaterialId = orderMaterialId;
    }

    public BigDecimal getOrderId() {
        return orderId;
    }

    public void setOrderId(BigDecimal orderId) {
        this.orderId = orderId;
    }

    public BigDecimal getMaterialId() {
        return materialId;
    }

    public void setMaterialId(BigDecimal materialId) {
        this.materialId = materialId;
    }

    public BigDecimal getOrderMaterialNumber() {
        return orderMaterialNumber;
    }

    public void setOrderMaterialNumber(BigDecimal orderMaterialNumber) {
        this.orderMaterialNumber = orderMaterialNumber;
    }

    public BigDecimal getOrderMaterialWeight() {
        return orderMaterialWeight;
    }

    public void setOrderMaterialWeight(BigDecimal orderMaterialWeight) {
        this.orderMaterialWeight = orderMaterialWeight;
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    public BigDecimal getMaterialDirection() {
        return materialDirection;
    }

    public void setMaterialDirection(BigDecimal materialDirection) {
        this.materialDirection = materialDirection;
    }

    public BigDecimal getMaterialPriority() {
        return materialPriority;
    }

    public void setMaterialPriority(BigDecimal materialPriority) {
        this.materialPriority = materialPriority;
    }

    public BigDecimal getMaterialMeassion() {
        return materialMeassion;
    }

    public void setMaterialMeassion(BigDecimal materialMeassion) {
        this.materialMeassion = materialMeassion;
    }

    public String getMaterialLuno() {
        return materialLuno;
    }

    public void setMaterialLuno(String materialLuno) {
        this.materialLuno = materialLuno == null ? null : materialLuno.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", orderMaterialId=").append(orderMaterialId);
        sb.append(", orderId=").append(orderId);
        sb.append(", materialId=").append(materialId);
        sb.append(", orderMaterialNumber=").append(orderMaterialNumber);
        sb.append(", orderMaterialWeight=").append(orderMaterialWeight);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", materialDirection=").append(materialDirection);
        sb.append(", materialPriority=").append(materialPriority);
        sb.append(", materialMeassion=").append(materialMeassion);
        sb.append(", materialLuno=").append(materialLuno);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}